import Vue from 'vue'
import App from './App'
import cuCustom from './colorui/components/cu-custom.vue'
Vue.component('cu-custom',cuCustom)
import sunUiPassword from './sunui-password/sunui-password.vue'
Vue.component('sunui-password',sunUiPassword);
Vue.config.productionTip = false
import store from './common/store.js';
App.mpType = 'app'
import Dataprocessing from './common/dataprocessing.js';
Vue.prototype.dataprocessing=Dataprocessing;
import Common from './common/common.js';
Vue.prototype.common = Common;

import initial from './components/mine/addressBook/InitializeThe.vue'
Vue.component('initial',initial)

Vue.prototype.getTimeFormat = function(){
         Date.prototype.Format = function(fmt) {
				var o = {
					'y+': this.getYear() + 1, //年
					'M+': this.getMonth() + 1, //月份
					'd+': this.getDate(), //日
					'h+': this.getHours(), //小时
					'm+': this.getMinutes(), //分
					's+': this.getSeconds(), //秒
					'q+': Math.floor((this.getMonth() + 3) / 3), //季度
					S: this.getMilliseconds() //毫秒
				};
				if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
				for (var k in o)
					if (new RegExp('(' + k + ')').test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[
						k]).substr(('' + o[k]).length));
				return fmt;
			};
}

const app = new Vue({
	 store,
    ...App
})
app.$mount()
